// 服务栏的Tab切换
$(function() {

	// banner图轮播和点击
	let i = 0;
	let t;
	let len = $('#banner>ul>li').length;
	
	//获取视频元素,把jquery对象转化为原生js来使用play()方法
	const video = $('.embed')[0];
	
	$('.Right').click(function() {
		i++;
		if (i == len) {
			i = 0;
		}
		showTp();
	});
	// 左边箭头点击切换
	$('.Left').click(function() {
		i--;
		if (i == -1) {
			i = len - 1;
		}
		showTp();
	});
	$('#banner').hover(function() {
		clearInterval(t);
	}, function() {
		t = setInterval(function() {
			i++;
			if (i == len) {
				i = 0;
			}
			showTp()
		}, 3000);
	})

	function showTp() {
		$('#banner>ul>li').eq(i).stop().fadeIn(500).siblings('#banner>ul>li').stop().fadeOut(500);
	}
	// 设置所以的按钮来暂停视频
	$('a').click(function() {
		video.pause();
	})

	$('#service_button>li').click(function() {
		const indx1 = $(this).index();

		// 修改原视频的播放和关闭，只能用于video标签
		if (indx1 == 1) {
			video.play();
		} else {
			video.pause();
		}
		$(this).find('a').addClass('a_css').parent().siblings().find('a').removeClass(
			'a_css');
		$('.tab_1 li').eq(indx1).fadeIn(500).siblings('.tab_1 li').hide();
		$('.tab_2 li').eq(indx1).fadeIn(500).siblings('.tab_2 li').hide();
	})

	//导航栏先隐藏所以子菜单，随后显示每次指向的ul
	$('#nav li').mouseover(function() {
		const indx2 = $(this).index();
		$('#nav li ul').hide();
		$(this).children('ul').show();

	})
	// 鼠标移出隐藏所有下拉
	$('#nav li').mouseout(function() {
		const indx2 = $(this).index();
		$('#nav li').find('ul').hide();
	})

	// 获取滚动条的位置
	$(window).scroll(function() {
		let top = $(this).scrollTop();
		let team = $('#team').offset().top;
		let btn = $('.right').offset().top;
		let skill = $('#skill').offset().top;
		if (top >= team) {
			$('#nav_ce').fadeIn(500);
		} else {
			$('#nav_ce').fadeOut(200);
		}
		if (top > skill) {
			video.pause();
		}
		if (top <= btn) {
			video.pause();
		}
	})
	$('#nav_ce li').click(function() {
		// 兼容性问题
		$('html,body').animate({
			scrollTop: 0
		}, 500);
	})


})
